## wf-shell 0.9.0+ds

=== meson_options.txt ===
option('pulse', type: 'feature', value: 'auto', description: 'Build pulseaudio volume widget')
option('wayland-logout', type: 'boolean', value: 'true', description: 'Install wayland-logout')

## wf-shell 0.7.0+ds

=== debian/changelog ===
wf-shell (0.7.0+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1053218)

 -- Boyuan Yang <byang@debian.org>  Fri, 29 Sep 2023 09:33:31 -0400

=== debian/control ===
Source: wf-shell
Section: x11
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libasound2-dev,
 libgtk-layer-shell-dev,
 libgtkmm-3.0-dev,
 libpulse-dev,
 libwayland-dev,
 libwf-config-dev (>= 0.7.1-4),
 meson,
 pkg-config,
 wayfire-dev (>= 0.7.5-2~),
 wayland-protocols,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/WayfireWM/wf-shell
Vcs-Git: https://salsa.debian.org/debian/wf-shell.git
Vcs-Browser: https://salsa.debian.org/debian/wf-shell

Package: wf-shell
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: GTK-based panel and background client for Wayfire
 Package wf-shell contains various components needed to build
 a fully functional DE based around wayfire. Currently it has only
 a GTK-based panel and background client.
 .
 Wayfire is a 3D Wayland compositor, inspired by Compiz and based on
 wlroots. It aims to create a customizable, extendable and lightweight
 environment without sacrificing its appearance.

## wf-shell 0.8.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: wf-shell
 Section: x11
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libasound2-dev,
+ libdbusmenu-gtk3-dev,
  libgtk-layer-shell-dev,
  libgtkmm-3.0-dev,
  libpulse-dev,
  libwayland-dev,
- libwf-config-dev (>= 0.7.1-4),
+ libwf-config-dev (>= 0.8~),
  meson,
  pkg-config,
- wayfire-dev (>= 0.7.5-2~),
+ wayfire-dev (>= 0.8~),
  wayland-protocols,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
@@ -25,6 +27,10 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Enhances:
+ wayfire,
+Suggests:
+ wayfire,
 Description: GTK-based panel and background client for Wayfire
  Package wf-shell contains various components needed to build
  a fully functional DE based around wayfire. Currently it has only

## wf-shell 0.8.0+ds

=== debian/changelog ===
wf-shell (0.8.0+ds-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:33:16 +1100

wf-shell (0.8.0+ds-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:58:56 +0000

wf-shell (0.8.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Document that wf-shell enhances and suggests package
    wayfire.

 -- Boyuan Yang <byang@debian.org>  Tue, 31 Oct 2023 22:15:18 -0400

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
 https://github.com/WayfireWM/wf-shell/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## wf-shell 0.8.1+ds

=== debian/changelog ===
wf-shell (0.8.1+ds-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1076394)

 -- Boyuan Yang <byang@debian.org>  Mon, 15 Jul 2024 14:02:15 -0400

wf-shell (0.8.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 25 Mar 2024 16:32:04 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: wf-shell
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libasound2-dev,
@@ -13,10 +12,10 @@
  libwayland-dev,
  libwf-config-dev (>= 0.8~),
  meson,
- pkg-config,
+ pkgconf,
  wayfire-dev (>= 0.8~),
  wayland-protocols,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/WayfireWM/wf-shell
 Vcs-Git: https://salsa.debian.org/debian/wf-shell.git

## wf-shell 0.9.0%2Bds

=== debian/changelog ===
wf-shell (0.9.0+ds-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Oct 2024 18:28:06 -0400

wf-shell (0.9.0+ds-1) experimental; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Oct 2024 16:11:24 -0400

## wf-shell 0.9.0+ds

=== debian/changelog ===
wf-shell (0.9.0+ds-2build1) resolute; urgency=medium

  * Rebuild for resolute

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Nov 2025 08:40:53 -0500

## wf-shell 0.10.0+ds

=== debian/changelog ===
wf-shell (0.10.0+ds-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/control: Drop Files-Excluded field, not needed.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Dec 2025 19:55:43 -0500

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
  libgtkmm-3.0-dev,
  libpulse-dev,
  libwayland-dev,
- libwf-config-dev (>= 0.8~),
+ libwf-config-dev (>= 0.10~),
  meson,
  pkgconf,
- wayfire-dev (>= 0.8~),
+ wayfire-dev (>= 0.10~),
  wayland-protocols,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/WayfireWM/wf-shell
 Vcs-Git: https://salsa.debian.org/debian/wf-shell.git
